import React, { FC, ReactNode } from 'react';
import { RemoveItemProps } from './TreeDropdown';
export declare type TreeDropdownContextProps = {
    selectedList: any[];
    setSelectedList: (val: any[]) => void;
    selectChild: (childId: string, parentId: string) => void;
    removeTag: (val: RemoveItemProps) => void;
};
declare const TreeDropdownContext: React.Context<{
    current?: TreeDropdownContextProps | undefined;
}>;
declare type ProviderProps = {
    parentName: string;
    childName: string;
    children: ReactNode;
};
export declare const TreeDropdownContextProvider: FC<ProviderProps>;
export default TreeDropdownContext;
