import { FC } from 'react';
import { NativeBase, RnViewStyleProp } from 'native-base';
import * as ReactNative from 'react-native';
export declare type SelectProps = NativeBase.Picker & {
    type?: 'material' | 'custom' | 'bordered' | 'material-black';
    pickerProps?: ReactNative.PickerItemProps;
    pickerList: [{
        value: string;
        label: string;
        color?: string;
    }];
    selectStyle?: any;
    labelProps?: NativeBase.Label;
    selectProps?: NativeBase.Input;
    label?: string;
    style?: RnViewStyleProp;
    validationInfo?: string[];
};
export declare const Select: FC<SelectProps>;
