import { StyleSheet } from 'react-native';

export const styles = StyleSheet.create({
  selectStyleX: {
    flex: 0,
    backgroundColor: '#F2F2F2',
    borderRadius: 5,
  },
  itemStyle: {
    flex: 1,
    flexDirection: 'column',
    borderBottomWidth: 0,
    borderWidth: 0,
    borderRadius: 10,
  },
  default: {
    borderBottomWidth: 0,
    // marginTop: 10,
    borderRadius: 5,
    width: '100%',
    display: 'flex',
    // flex: 1,
    flexDirection: 'row',
    flexWrap: 'wrap',

    // padding: 10
  },
  textDefault: {
    color: 'white',
    marginBottom: 7,
    fontWeight: 'normal',
    fontSize: 17,
  },
  multiSelect: {
    backgroundColor: 'white',
    maxHeight: 100,
    // borderWidth: 0,
    width: '100%',
    borderRadius: 7,
    padding: 6,
    flexDirection: 'row',
    flexWrap: 'wrap',
    minHeight: 50,

    // borderWidth: 1,
  },
  bordered: {
    backgroundColor: 'white',
    maxHeight: 100,
    // borderWidth: 0,
    width: '100%',
    borderRadius: 7,
    padding: 6,
    flexDirection: 'row',
    flexWrap: 'wrap',
    borderWidth: 1,
    borderColor: '#979797',
    minHeight: 50,
  },
  tagContainer: {
    height: 30,
    padding: 4,
    margin: 4,
    flexDirection: 'row',
    justifyContent: 'space-between',
    alignItems: 'center',
    // flexWrap: 'nowrap',
    borderRadius: 5,
    minWidth: 15,
  },
  checkbox: {
    marginRight: 35,
    // backgroundColor: 'red',
    height: 25,
    width: 25,
    paddingTop: 3,
    alignItems: 'center',
    //  backgroundColor: '#979797',
    // borderColor: '#979797',
  },
  childText: {
    color: '#666666',
    marginLeft: 35,
  },
});
