export declare const colorPack: {
    primary: string;
    primaryDark: string;
    light: string;
    textPrimary: string;
    placeholderTextColor: string;
    danger: string;
    borderColor: string;
    backgroundColor: string;
};
export declare const styles: {
    footerWrapper: {
        flexWrap: "wrap";
        alignItems: "flex-start";
        flexDirection: "row";
    };
    footerWrapperNC: {
        width: number;
        flexDirection: "column";
    };
    subSection: {
        backgroundColor: string;
        borderBottomWidth: number;
        borderColor: string;
        paddingLeft: number;
        paddingRight: number;
        flex: number;
        flexDirection: "row";
        alignItems: "center";
    };
    greyButton: {
        height: number;
        borderRadius: number;
        elevation: number;
        backgroundColor: string;
    };
    indicator: {
        fontSize: number;
        color: string;
    };
    selectedItem: {
        flexDirection: "row";
        alignItems: "center";
        paddingLeft: number;
        paddingTop: number;
        paddingRight: number;
        paddingBottom: number;
        margin: number;
        borderRadius: number;
        borderWidth: number;
    };
    button: {
        height: number;
        flexDirection: "row";
        justifyContent: "center";
        alignItems: "center";
        backgroundColor: string;
    };
    buttonText: {
        color: string;
        fontSize: number;
    };
    inputGroup: {
        flexDirection: "row";
        alignItems: "center";
        paddingLeft: number;
        backgroundColor: string;
    };
    dropdownView: {
        flexDirection: "row";
        alignItems: "center";
        height: number;
        marginBottom: number;
    };
};
