import { StyleSheet } from 'react-native';

export const styles = StyleSheet.create({
  selectStyleX: {
    flex: 0,
    backgroundColor: '#F2F2F2',
    // borderRadius: 5,
  },
  itemStyle: {
    marginBottom: 5,
    borderBottomWidth: 0,
    borderBottomColor: 'white',
    borderRadius: 10,
  },
  material: {
    borderColor: 'white',
    color: 'white',
    borderBottomWidth: 2,
    width: '100%',
  },
  textMaterial: {
    color: 'white',
    fontWeight: 'normal',
    // marginBottom: 8,
    fontSize: 17,
  },
  default: {
    borderBottomWidth: 0,
    borderRadius: 5,
    // color: 'red',
    backgroundColor: 'white',
    padding: 2,
    width: '100%',
    color: '#4a4a4a',
  },
  textDefault: {
    color: 'white',
    marginBottom: 8,
    fontWeight: 'normal',
    fontSize: 17,
  },
  borderedx: {
    color: '#4a4a4a',
    borderRadius: 5,
    backgroundColor: 'white',
    padding: 1,
    width: '100%',
    borderColor: '#979797',
  },
  bordered: {
    color: '#4a4a4a',
    borderBottomWidth: 1,
    borderRadius: 7,
    backgroundColor: 'white',
    borderRightColor: '#979797',
    borderTopColor: '#979797',
    borderTopWidth: 1,
    borderRightWidth: 1,
    borderLeftWidth: 1,
    padding: 1,
    width: '100%',
    borderColor: '#979797',
    fontSize: 16,
    lineHeight: 18,
    // borderWidth: 1,
    // marginRight: 1,
  },
});
